/***************************************************************************
                           qcubelabel.h
                           -------------------
    copyright            : (C) 2004 by Jos van den Oever
    email                : jos@vandenoever.info
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef QCUBELABEL_H
#define QCUBELABEL_H

#include <q3vbox.h>
#include "qpicturelabel.h"
#include "cube.h"

class QCubeLabel : public Q3VBox {
public:
	explicit QCubeLabel(QWidget* parent=0, const char* name=0, Qt::WFlags f=0);
	void setCube(const Cube &);
	void setVisibleSides(short);
private:
	QPictureLabel *picture[6];
	Q3HBox *row1, *row2;
};

#endif
