/***************************************************************************
 *   Copyright (C) 2008 by Matthew Williams    <matt@milliams.com>         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef KEDUCAMAINWINDOW_H
#define KEDUCAMAINWINDOW_H

#include <KXmlGuiWindow>

class MainWidget;
class KQtiAssessmentItem;

/**
 * @short Mainwindow class
 *
 * @author Matt Williams <matt@milliams.com>
 */

class KEducaMainWindow : public KXmlGuiWindow
{
    Q_OBJECT

    public:
        ///Constructor
        KEducaMainWindow();
        ~KEducaMainWindow();

    public slots:

    private slots:
        void initObject();
        void optionsPreferences();
        void openTest();

    private:
        void setupActions();
        MainWidget* mainWidget;
        KQtiAssessmentItem* assessmentItem;
};

#endif // KEDUCAMAINWINDOW_H
