/***************************************************************************
 *   Copyright (C) 2007      by Pino Toscano <pino@kde.org>                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/

#ifndef _PHYSIKS_EXPORT_H_
#define _PHYSIKS_EXPORT_H_

/* needed for KDE_EXPORT macros */
#include <kdemacros.h>

#if defined Q_OS_WIN
#ifndef PHYSIKS_EXPORT
# ifdef MAKE_PHYSIKSBASE_LIB
#  define PHYSIKS_EXPORT KDE_EXPORT
# else
#  define PHYSIKS_EXPORT KDE_IMPORT
# endif
#endif

#else /* UNIX*/

/* export statements for unix */
#define PHYSIKS_EXPORT KDE_EXPORT
#endif

#endif
