/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#include "config/configureoptionsdialog.h"
#include "config/generalpagewidget.h"

#include "veneer/settings.h"

#include "util/helpers.h"

ConfigureOptionsDialog::ConfigureOptionsDialog(QWidget* parent) :
	QDialog(parent)
{
	setupUi(this);

	Veneer::restoreDialogSize("configureOptionsDialog", this);
}

ConfigureOptionsDialog::~ConfigureOptionsDialog()
{
	Veneer::saveDialogSize("configureOptionsDialog", this);
}

void ConfigureOptionsDialog::accept()
{
	generalPageWidget->accept();

	QDialog::accept();
}
