/***************************************************************************
 *   Copyright (C) 2004 by Trenton Carr                                    *
 *   trenton.carr@gmail.com                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/

#ifndef DEG_THETA_H
#define DEG_THETA_H

#include <qwidget.h>


class Deg_Theta : public QObject
{
    Q_OBJECT
public:
    Deg_Theta();

    double angle() const
    {
        return ang;
    }

    double radius() const
    {
        return rad;
    }

public slots:
    void setAngle( double degrees );
    void setRadius( double lenght );

signals:
    void angleChanged( double );
    void radiusChanged( double );

private:
    double ang;
    double rad;
};

#endif // DEG_THETA_H
